      program tumtrx
*
      integer idim, jdim, ndim
        parameter ( idim = 1 )
        parameter ( jdim = 1 )
        parameter ( ndim = 3 )
*
      real alu ( jdim, ndim, -1:1 )
      real xv  ( idim, jdim, ndim )
*
      integer i, j, n
*
      do 1000 j = 1, jdim
         do 1000 n = 1, ndim
            alu ( j, n, -1 ) = 1 
            alu ( j, n,  0 ) = -2 
            alu ( j, n, 1  ) = 1 
 1000 continue 
*
      CALL LUMAK3
     M         ( ALU   ,
     D           JDIM  , NDIM )
*
      do 1050 j = 1, jdim
         do 1050 n = 1, ndim
            write ( 6, * ) j, n, 
     &           alu( j, n, -1),alu( j, n, 0),alu( j, n, 1)
 1050 continue 
*
      call reset( xv , idim*jdim*ndim )
      xv ( 1, 1, 1 ) =  1.0
*
      CALL LUSOL3
     M         ( XV    ,
     I           ALU   ,
     D           IDIM  , JDIM , NDIM )
*
      do 3000 i = 1, idim
         do 3000 j = 1, jdim
            do 3000 n = 1, ndim
               write ( 6, * ) xv ( i, j, n )
 3000 continue 
*
      stop
      end
